# $Revision: 1.18 $, $Date: 2010/07/08 08:04:30 $
%define	pkgname	compizconfig-python
Summary:	Python bindings for the compizconfig library
Summary(pl.UTF-8):	Pythonowe dowiązania do biblioteki compizconfig
Name:		python-compizconfig
Version:	0.8.4
Release:	2
License:	LGPL v2+
Group:		Libraries/Python
Source0:	http://releases.compiz.org/%{version}/%{pkgname}-%{version}.tar.bz2
# Source0-md5:	702f83f63ce5dc3c6c1d27e07fb62fc3
URL:		http://www.compiz.org/
BuildRequires:	glib2-devel >= 1:2.6
BuildRequires:	libcompizconfig-devel >= 0.8.2
BuildRequires:	pkgconfig
BuildRequires:	python-Pyrex
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
Requires:	glib2 >= 1:2.6
Obsoletes:	compizconfig-python
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python bindings for the compizconfig library.

%description -l pl.UTF-8
Pythonowe dowiązania do biblioteki compizconfig.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%configure \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{py_sitedir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/compizconfig.so
%{_pkgconfigdir}/compizconfig-python.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-compizconfig.spec,v $
Revision 1.18  2010/07/08 08:04:30  arekm
- release 2

Revision 1.17  2009/11/16 18:22:23  sparky
- up to 0.8.4

Revision 1.16  2009/03/24 21:43:23  megabajt
- updated to 0.8.2

Revision 1.15  2009/03/13 23:46:54  hawk
- release 5

Revision 1.14  2008/11/06 17:03:30  arekm
- release 4

Revision 1.13  2008/10/05 11:42:16  arekm
- release 3

Revision 1.12  2008/10/03 17:47:32  arekm
- release 2

Revision 1.11  2008/09/24 16:21:21  vip
- up to 0.7.8

Revision 1.10  2008-06-01 10:37:46  vip
- updated rest of the compiz packages to 0.7.6

Revision 1.9  2008-04-06 22:58:29  vip
- up to 0.7.4

Revision 1.8  2008-03-07 05:48:00  aredridel
- 0.7.2

Revision 1.7  2007-12-11 19:15:20  shadzik
- fix BR version

Revision 1.6  2007-10-23 11:16:45  rotom
- up to 0.6.0.1

Revision 1.5  2007/10/21 08:12:55  rotom
- up to 0.6.0

Revision 1.4  2007/08/26 01:00:17  qboosh
- Obsoletes: compizconfig-python

Revision 1.3  2007/08/25 20:48:05  qboosh
- License is LGPL (v2+)
- BR: pkgconfig

Revision 1.2  2007/08/25 20:22:22  qboosh
- unified naming: renamed compizconfig-python to python-compizconfig

Revision 1.1  2007/08/13 20:51:25  wolf
- new
